Bug 184872 - audio/pd: Update to version 0.45.4
Summary: audio/pd: Update to version 0.45.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-18 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.70 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:20 UTC
- Update to version 0.45.4
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-17 20:26:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2013-12-18 16:58:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-12-18 16:58:22 UTC
Author: danilo
Date: Wed Dec 18 16:58:09 2013
New Revision: 336848
URL: http://svnweb.freebsd.org/changeset/ports/336848

Log:
  - Update from 0.45-3 to 0.45-4
  - Add shebangfix to USES
  
  PR:		ports/184872
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Wed Dec 18 16:30:41 2013	(r336847)
+++ head/audio/pd/Makefile	Wed Dec 18 16:58:09 2013	(r336848)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.45-3
+DISTVERSION=	0.45-4
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
 MASTER_SITES=	http://msp.ucsd.edu/Software/
@@ -20,7 +20,11 @@ OPTIONS_DEFAULT=FFTW
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S,${DISTVERSIONSUFFIX},,}
 
-USES=		gettext gmake pkgconfig tk:wrapper
+USES=		gettext gmake pkgconfig shebangfix tk:wrapper
+SHEBANG_FILES=	tcl/pkg_mkIndex.tcl
+SHEBANG_LANG=	tclsh
+tclsh_OLD_CMD=	/usr/bin/tclsh
+tclsh_CMD=	${LOCALBASE}/bin/tclsh
 USE_AUTOTOOLS=	aclocal libtoolize autoconf automake
 ACLOCAL_ARGS=	-I m4/generated -I m4
 LIBTOOLIZE_ARGS=--install --force
@@ -91,8 +95,6 @@ do-install:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 	@(${TAR} -C ${WRKSRC}/doc --exclude "*.bak" --exclude "*.orig" \
 		-cf - . | ${TAR} -C ${STAGEDIR}${DOCSDIR} --unlink -xf -)
-	@${FIND} ${STAGEDIR}${DOCSDIR} -type d | ${XARGS} ${CHMOD} 755
-	@${FIND} ${STAGEDIR}${DOCSDIR} -type f | ${XARGS} ${CHMOD} ${SHAREMODE}
 .for i in LICENSE.txt README.txt
 	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Wed Dec 18 16:30:41 2013	(r336847)
+++ head/audio/pd/distinfo	Wed Dec 18 16:58:09 2013	(r336848)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.45-3.src.tar.gz) = 49bab85f0968eef72dfcd4352df0318666e11c33a38e4bc9ec052004fbc4aada
-SIZE (pd-0.45-3.src.tar.gz) = 2252601
+SHA256 (pd-0.45-4.src.tar.gz) = 57a80de8b0c22e508022e01449747310822ec90bc21c2272ddfd8be8cb5542d3
+SIZE (pd-0.45-4.src.tar.gz) = 2252744
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"